problems compiling glibc

Elmar Weber elmar_weber at gmx.de
Tue Nov 6 09:27:27 PST 2001


hi,

when i compile the glibc as mentioned in the lfs book, i get the 
following error message (and output):

-------------------
creating cache ./config.cache
checking host system type... \c
i686-pc-linux-gnu
checking sysdep dirs... \c
sysdeps/i386/elf \c
linuxthreads/sysdeps/unix/sysv/linux/i386 \c
linuxthreads/sysdeps/unix/sysv/linux \c
linuxthreads/sysdeps/pthread \c
sysdeps/pthread \c
linuxthreads/sysdeps/unix/sysv \c
linuxthreads/sysdeps/unix \c
linuxthreads/sysdeps/i386/i686 \c
linuxthreads/sysdeps/i386/i586 \c
sysdeps/i386/i586 \c
sysdeps/i386/i486 \c
linuxthreads/sysdeps/i386 \c
sysdeps/unix/sysv/linux/i386/i686 \c
sysdeps/unix/sysv/linux/i386 \c
sysdeps/unix/sysv/linux \c
sysdeps/gnu \c
sysdeps/unix/common \c
sysdeps/unix/mman \c
sysdeps/unix/inet \c
sysdeps/unix/sysv/i386 \c
sysdeps/unix/sysv \c
sysdeps/unix/i386 \c
sysdeps/unix \c
sysdeps/posix \c
sysdeps/i386/i686/fpu \c
sysdeps/i386/i686 \c
sysdeps/i386/fpu \c
sysdeps/i386 \c
sysdeps/wordsize-32 \c
sysdeps/ieee754/ldbl-96 \c
sysdeps/ieee754/dbl-64 \c
sysdeps/ieee754/flt-32 \c
sysdeps/ieee754 \c
sysdeps/generic/elf sysdeps/generic
checking for a BSD compatible install... \c
/bin/install -c
checking whether ln -s works... \c
yes
checking for pwd... \c
/bin/pwd
checking build system type... \c
i686-pc-linux-gnu
checking for gcc... \c
gcc
checking version of gcc... \c
2.95.3, ok
checking for gnumake... \c
no
checking for gmake... \c
no
checking for make... \c
make
checking version of make... \c
3.79.1, ok
checking for gnumsgfmt... \c
no
checking for gmsgfmt... \c
no
checking for msgfmt... \c
no
checking for makeinfo... \c
makeinfo
checking version of makeinfo... \c
4.0, ok
checking for gsed... \c
no
checking for sed... \c
sed
checking version of sed... \c
3.02, ok
checking whether the C compiler (gcc  ) works... \c
no
checking whether the C compiler (gcc  ) is a cross-compiler... \c
(cached) \c
yes
checking whether we are using GNU C... \c
no
configure: error: GNU libc must be compiled using GNU CC

----------------

i have installed the gcc, but why does it not work?

i start the commands from the directory /lfs/usr/src/g/glibc-2.2.4
i have extracted the glibc-linuxthreads-2.2.4.tar.bz2 archieve to the 
same folder.

cu,
elmar weber


-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list